Summary: web browser plugin for BankID
Name: fribid
Version: 0.2.0
Release: 1%{?dist}
Group: Applications/Internet
License: MIT
Source: http://fribid.se/releases/source/%{name}-%{version}.tar.bz2
URL: http://fribid.se/
BuildRequires: openssl-devel
BuildRequires: libp11-devel
BuildRequires: pkgconfig
BuildRequires: gettext
BuildRequires: gtk2-devel
BuildRequires: mozilla-filesystem
BuildRequires: opensc

%description
FriBID is a web browser plugin for BankID, a kind of electronic ID
(e-legitmiation) that's used in Sweden. It supports file-based
electronic IDs (e-legitimation på fil) and card-based IDs (e-legitimation
på kort), with some limitations:

 * The new file formats (NGE/NGP) from the official client with version
   4.15.0.14 aren't supported.
 * It's not possible to fetch new file-based IDs.
 * To change your password/PIN you need to use other programs.
 * To use card-based IDs you needs some configuration,
   see http://wiki.fribid.se/sidor/SmartCards (in Swedish).

FriBID is only compatible with the second version of BankID, and not
the older system that uses Java applets.

%prep
%setup

%build
CFLAGS=${RPM_OPT_FLAGS} ./configure --prefix=/usr
make all

%install
make "DESTDIR=${RPM_BUILD_ROOT}" install

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc CHANGELOG INSTALL LICENSE
%{_datadir}/%{name}
%{_datadir}/locale/sv/LC_MESSAGES/%{name}.mo
%{_libdir}/%{name}
%{_libdir}/mozilla/plugins/lib%{name}plugin.so

%changelog
* Sun Sep 19 2010 Henrik Nordstrom <henrik@henriknordstrom.net> 0.2.0-1
- FriBID 0.2.0, initial release with smartcard support

